Kalshi

Kalshi Markets

Search markets on Kalshi using different filters including ticker, status, volume, and etc.

POST/v2/semantic/retrieve/parameterized

Query Parameters

tickerstring
Value of market ticker. This is an exact match.
Example:
"KXSOL15M-26MAR180800-00"
event_tickerstring
event ticker
Example:
"KXSOL15M-26MAR180800"
titlestring
Market question describing the event and outcome being traded
Example:
"SOL price"
statusstring
Current market status (e.g., active, finalized)
Example:
"finalized"
close_time_minstring
Filter markets in which the close time is after this timestamp (inclusive).
Example:
"1773589812"
close_time_maxstring
Filter markets in which the close time is before this timestamp (inclusive).
Example:
"1774021812"

Response Fields

FieldTypeDescription
close_timeString (ISO 8601)Timestamp when the market was closed to trading
created_timeString (ISO 8601)Timestamp when the market was created
event_tickerStringevent ticker
expiration_timeString (ISO 8601)Timestamp when the market expires and is no longer valid
last_priceIntegerLast traded price of the market
open_timeString (ISO 8601)Timestamp when the market opened for trading
statusStringCurrent market status (e.g., active, finalized)
tickerStringTicker for this specific market
titleStringMarket question describing the event and outcome being traded
volumeIntegerTotal trading volume for the market
volume_24hIntegerTrading volume in the last 24 hours
resultStringFinal result (outcome) of this market
Kalshi Markets
curl --request POST \
  --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_id": 565,
  "params": {
    "ticker": "KXSOL15M-26MAR180800-00",
    "event_ticker": "KXSOL15M-26MAR180800",
    "title": "SOL price",
    "status": "finalized",
    "close_time_min": "1773589812",
    "close_time_max": "1774021812"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
}'
200Example response
{
  "timestamp": "",
  "params": {
    "close_time_max": "1774021812",
    "close_time_min": "1773589812",
    "event_ticker": "KXSOL15M-26MAR180800",
    "status": "finalized",
    "ticker": "KXSOL15M-26MAR180800-00",
    "title": "SOL price"
  },
  "pagination": {
    "limit": 10,
    "offset": 0,
    "has_more": false
  },
  "data": {
    "results": [
      {
        "close_time": "2026-03-18T12:00:00Z",
        "created_time": "2026-03-18T00:01:21.613032Z",
        "event_ticker": "KXSOL15M-26MAR180800",
        "expiration_time": "2026-03-25T12:00:00Z",
        "last_price": 0.8,
        "open_time": "2026-03-18T11:45:00Z",
        "result": "no",
        "status": "finalized",
        "ticker": "KXSOL15M-26MAR180800-00",
        "title": "SOL price up in next 15 mins?",
        "volume": 4422,
        "volume_24h": 4422
      }
    ]
  }
}